package com.ibm.commerce.usermanagement.custom.commands;

/*
 *-------------------------------------------------------------------
 * Licensed Materials - Property of IBM
 *
 * 5724-A18
 *
 * (c) Copyright International Business Machines Corporation. 2003,2004
 *     All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 *-------------------------------------------------------------------
 */  

//*---------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been  
//* thoroughly tested under all conditions.  IBM, therefore, cannot
//* guarantee its reliability, serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands 
//* and products in order to illustrate concepts as completely as 
//* possible.  All of these names are fictitious and any similarity
//* to the names and addresses used by actual persons or business
//* enterprises is entirely coincidental.
//*---------------------------------------------------------------------
//*

import com.ibm.commerce.datatype.*;
import com.ibm.commerce.ras.*;
import com.ibm.commerce.server.ECConstants;
import com.ibm.commerce.command.*;
import com.ibm.commerce.exception.*;
import com.ibm.commerce.usermanagement.commands.*;

public class WrapperUserRegistrationAdminAddCmdImpl extends UserRegistrationAdminAddCmdImpl implements UserRegistrationAdminAddCmd
{

	/**
	 * IBM Copyright notice field.
	 */
	public static final String COPYRIGHT = "com.ibm.commerce.copyright.IBMCopyright.SHORT_COPYRIGHT";
	/**
	 * The name of this implementation of the command.
	 */
	public final static String CLASSNAME = "com.ibm.commerce.usermanagement.siebel.commands.WrapperUserRegistrationAdminAddCmdImpl";



	/**
	 * Wrapper command to set the appropriate response view for the controller command
	 * when the request received from the messaging subsystem.
	 */

	public void performExecute() throws ECException
	{

	final String METHODNAME = "performExecute";
	String tempView="";
	ECTrace.entry(ECTraceIdentifiers.COMPONENT_USER, CLASSNAME, METHODNAME);

	super.performExecute();

		// get the deviceFormat from the CommandContext

		Integer deviceFormat = getCommandContext().getDeviceFormatId();
		ECTrace.trace(ECTraceIdentifiers.COMPONENT_EXTERN,CLASSNAME, METHODNAME,"Device Format value =  "+  deviceFormat.intValue() + " \r\n");


		// if the request is from browser i.e. OrgAdminconsole, deviceformat would be -1
		// if the request is from MQ then deviceformat will be -20000
		// do not execute this piece of code when the device format = -1


		if (deviceFormat.intValue() != -1)
		{
			tempView= (String)requestProperties.get(ECConstants.EC_URL);
			ECTrace.trace(ECTraceIdentifiers.COMPONENT_USER,CLASSNAME,METHODNAME,"tempView="+tempView);
			responseProperties.put(ECConstants.EC_VIEWTASKNAME,tempView);
		}

		ECTrace.exit(ECTraceIdentifiers.COMPONENT_USER, CLASSNAME, METHODNAME);

	}

}
